-- scope stuff
gearquipper = gearquipper or {};
local c = gearquipper;

GQ_OPTIONS = GQ_OPTIONS or {};
GQ_DATA = GQ_DATA or {};
GQ_AUX = GQ_AUX or {};

local GQ_VERSION = 23;

c.VALUE_NONE = "VALUE_NONE";
c.KEYWORD_NONE = "$NONE";
c.KEYWORD_PREVIOUS = "$PREVIOUS";
c.KEYWORD_PVE = "$PVE";
c.KEYWORD_PVP = "$PVP";

-- init
function c:Init()
	c:InitOptions();
	c:InitDatabase();
	c:InitUI();

	-- updates
	if not GQ_OPTIONS[c.OPT_VERSION] or tonumber(GQ_OPTIONS[c.OPT_VERSION]) < GQ_VERSION then
		if not GQ_OPTIONS[c.OPT_VERSION] or tonumber(GQ_OPTIONS[c.OPT_VERSION]) < 14 then
			-- add slotStates
			c:DataBase_Update14();
		end
		if not GQ_OPTIONS[c.OPT_VERSION] or tonumber(GQ_OPTIONS[c.OPT_VERSION]) < 17 then
			-- remove old eventbindings
			c:DataBase_Update17();
		end

		GQ_OPTIONS[c.OPT_VERSION] = GQ_VERSION; -- finish update
		c:Println(c:GetText("Update to version %s complete.", GQ_VERSION));
	end

	--c:GetSpellCache(true); -- refresh spell cache
	c.initFinished = true;
	c:Println(c:GetText("AddOn loaded: Version: %s. Type /gq for options.", GQ_VERSION));
	c:Println(c:GetText("Visit https://www.curseforge.com/wow/addons/gearquipper for support, feedback and updates."));
end

function c:GetVersion()
	return GQ_VERSION;
end

function c:GetElvUiSkinModule()
	if ElvUI then
		local E, L, V, P, G = unpack(ElvUI);
		return E:GetModule('Skins');
	end
end
